---
lang: en
title: 'API docs: core.corebindings'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.corebindings.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [CoreBindings](./core.corebindings.md)

## CoreBindings namespace

Namespace for core binding keys

**Signature:**

```typescript
export declare namespace CoreBindings 
```

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[APPLICATION\_CONFIG](./core.corebindings.application_config.md)


</td><td>

Binding key for application configuration


</td></tr>
<tr><td>

[APPLICATION\_INSTANCE](./core.corebindings.application_instance.md)


</td><td>

Binding key for application instance itself


</td></tr>
<tr><td>

[APPLICATION\_METADATA](./core.corebindings.application_metadata.md)


</td><td>

Binding key for the content of `package.json`


</td></tr>
<tr><td>

[COMPONENTS](./core.corebindings.components.md)


</td><td>

Binding key for components


</td></tr>
<tr><td>

[CONTROLLER\_CLASS](./core.corebindings.controller_class.md)


</td><td>

Binding key for the controller class resolved in the current request context


</td></tr>
<tr><td>

[CONTROLLER\_CURRENT](./core.corebindings.controller_current.md)


</td><td>

Binding key for the controller instance resolved in the current request context


</td></tr>
<tr><td>

[CONTROLLER\_METHOD\_META](./core.corebindings.controller_method_meta.md)


</td><td>

Binding key for the controller method metadata resolved in the current request context


</td></tr>
<tr><td>

[CONTROLLER\_METHOD\_NAME](./core.corebindings.controller_method_name.md)


</td><td>

Binding key for the controller method resolved in the current request context


</td></tr>
<tr><td>

[CONTROLLERS](./core.corebindings.controllers.md)


</td><td>


</td></tr>
<tr><td>

[LIFE\_CYCLE\_OBSERVER\_OPTIONS](./core.corebindings.life_cycle_observer_options.md)


</td><td>

Binding key for life cycle observer options


</td></tr>
<tr><td>

[LIFE\_CYCLE\_OBSERVER\_REGISTRY](./core.corebindings.life_cycle_observer_registry.md)


</td><td>

Binding key for life cycle observer options


</td></tr>
<tr><td>

[LIFE\_CYCLE\_OBSERVERS](./core.corebindings.life_cycle_observers.md)


</td><td>


</td></tr>
<tr><td>

[SERVERS](./core.corebindings.servers.md)


</td><td>

Binding key for servers


</td></tr>
</tbody></table>


